svn commit: r287910 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Thu Sep 17 08:54:51 UTC 2015


Author: pho
Date: Thu Sep 17 08:54:49 2015
New Revision: 287910
URL: https://svnweb.freebsd.org/changeset/base/287910

Log:
  The combination of SUJ and NULLFS(5) has known issues. Skip tests until
  this is resolved.
  
  Sponsored by:	EMC / Isilon storage division

Modified:
  user/pho/stress2/misc/nullfs2.sh
  user/pho/stress2/misc/nullfs3.sh
  user/pho/stress2/misc/nullfs5.sh
  user/pho/stress2/misc/nullfs7.sh

Modified: user/pho/stress2/misc/nullfs2.sh
==============================================================================
--- user/pho/stress2/misc/nullfs2.sh	Thu Sep 17 07:04:15 2015	(r287909)
+++ user/pho/stress2/misc/nullfs2.sh	Thu Sep 17 08:54:49 2015	(r287910)
@@ -38,6 +38,11 @@
 
 . ../default.cfg
 
+# NULLFS(5) and SUJ has known issues.
+mount | grep "on `df $RUNDIR | sed  '1d;s/.* //'` " | \
+    grep -q  "journaled soft-updates" &&
+    { echo "Skipping test due to SUJ."; exit 0; }
+
 mount | grep -q "on $mntpoint " && umount -f $mntpoint
 
 mount -t nullfs $RUNDIR $mntpoint

Modified: user/pho/stress2/misc/nullfs3.sh
==============================================================================
--- user/pho/stress2/misc/nullfs3.sh	Thu Sep 17 07:04:15 2015	(r287909)
+++ user/pho/stress2/misc/nullfs3.sh	Thu Sep 17 08:54:49 2015	(r287910)
@@ -36,6 +36,11 @@
 
 . ../default.cfg
 
+# NULLFS(5) and SUJ has known issues.
+mount | grep "on `df $RUNDIR | sed  '1d;s/.* //'` " | \
+    grep -q  "journaled soft-updates" &&
+    { echo "Skipping test due to SUJ."; exit 0; }
+
 [ -d $RUNDIR/stressX ] || mkdir -p $RUNDIR/stressX
 
 mp=$mntpoint

Modified: user/pho/stress2/misc/nullfs5.sh
==============================================================================
--- user/pho/stress2/misc/nullfs5.sh	Thu Sep 17 07:04:15 2015	(r287909)
+++ user/pho/stress2/misc/nullfs5.sh	Thu Sep 17 08:54:49 2015	(r287910)
@@ -28,15 +28,26 @@
 # $FreeBSD$
 #
 
-# Composit test: nullfs2.sh + kinfo.sh
+# Composite test: nullfs2.sh + kinfo.sh
 
 # Kernel page fault with the following non-sleepable locks held from
 # nullfs/null_vnops.c:531
 
+# Fatal trap 12: page fault while in kernel mode
+# https://people.freebsd.org/~pho/stress/log/jeff106.txt
+
+# panic: vholdl: inactive held vnode:
+# https://people.freebsd.org/~pho/stress/log/kostik815.txt
+
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
 . ../default.cfg
 
+# NULLFS(5) and SUJ has known issues.
+mount | grep "on `df $RUNDIR | sed  '1d;s/.* //'` " | \
+    grep -q  "journaled soft-updates" &&
+    { echo "Skipping test due to SUJ."; exit 0; }
+
 odir=`pwd`
 cd /tmp
 sed '1,/^EOF/d;s/60/600/' < $odir/kinfo.sh > kinfo.c
@@ -62,7 +73,5 @@ umount $mntpoint 2>&1 | grep -v busy
 
 mount | grep -q $mntpoint && umount -f $mntpoint
 
-for j in `jot 5`; do
-	wait
-done
+wait
 rm -f /tmp/kinfo

Modified: user/pho/stress2/misc/nullfs7.sh
==============================================================================
--- user/pho/stress2/misc/nullfs7.sh	Thu Sep 17 07:04:15 2015	(r287909)
+++ user/pho/stress2/misc/nullfs7.sh	Thu Sep 17 08:54:49 2015	(r287910)
@@ -36,6 +36,11 @@
 
 . ../default.cfg
 
+# NULLFS(5) and SUJ has known issues.
+mount | grep "on `df $RUNDIR | sed  '1d;s/.* //'` " | \
+    grep -q  "journaled soft-updates" &&
+    { echo "Skipping test due to SUJ."; exit 0; }
+
 mount | grep $mntpoint | grep -q /dev/md && umount -f $mntpoint
 mdconfig -l | grep -q md$mdstart &&  mdconfig -d -u $mdstart
 


More information about the svn-src-user mailing list